<?php
if (!defined('DC_CONTEXT_ADMIN')) { return; }

# On lit la version du plugin
$m_version = $core->plugins->moduleInfo('dcWave','version');

# On lit la version du plugin dans la table des versions
$i_version = $core->getVersion('dcWave');

# La version dans la table est supérieure ou égale à
# celle du module, on ne fait rien puisque celui-ci
# est installé
# 
# (if database version is equal or greater
#
if (version_compare($i_version,$m_version,'>=')) {
	return;
}

# Default settings
$settings = new dcSettings($core,null);
$settings->setNamespace('dcwave');

$settings->put('dcwave_enabled',true,'boolean',
	__('Enable GoogleWave embedding'), false, false);
/* Box and alignment */
$settings->put('alignment','none','string',
	__('Default media alignment'), false, false);
$settings->put('width','100%','string',
	__('Default width'), false, false);
$settings->put('height','200px','string',
	__('Default height'), false, false);
/* Box and alignment */
$settings->put('background','transparent','string',
	__('Default background color'), false, false);
$settings->put('foreground','black','string',
	__('Default text color'), false, false);
$settings->put('font','"DejaVu Sans", sans-serif','string',
	__('Default font'), false, false);
$settings->put('font_size','1em','string',
	__('Default font size'), false, false);
/* Wave server */
$settings->put('server','https://wave.google.com/wave/','string',
	__('Default wave server'), false, false);
$settings->put('prefix','googlewave.com!w+','string',
	__('Default wave prefix'), false, false);

# Remember version
$core->setVersion('dcWave',$m_version);

return true;
?>
