<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of Dotclear 2.
#
# Copyright (c) 2003-2009 Olivier Meunier and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_RC_PATH')) { return; }

class dcwaveConfig
{
	protected static $fonts = array(
		'sans-serif' => array(
			'ss1' => '"DejaVu Sans", sans-serif',
			'ss2' => 'Arial, Helvetica, sans-serif',
			'ss3' => 'Verdana,Geneva, Arial, Helvetica, sans-serif',
			'ss4' => '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
			'ss5' => '"Trebuchet MS", Helvetica, sans-serif',
			'ss5' => 'Impact, Charcoal, sans-serif'
		),
		
		'serif' => array(
			's1' => '"DejaVu Serif", serif',
			's2' => 'Times, "Times New Roman", serif',
			's3' => 'Georgia, serif',
			's4' => 'Baskerville, "Palatino Linotype", serif'
		),
		
		'monospace' => array(
			'm1' => '"DejaVu Mono", monospace',
			'm2' => '"Andale Mono", "Courier New", monospace',
			'm3' => '"Courier New", Courier, mono, monospace'
		)
	);
	
	protected static $fonts_combo = array();
	protected static $fonts_list = array();
	protected static $raw_fonts = array();
	protected static $fonts_code = array();
	
	public static function rawFontsList()
	{
		if (empty(self::$raw_fonts))
		{
			foreach (self::$fonts as $family => $g)
			{
				foreach ($g as $code => $font) {
					self::$raw_fonts[$code] = $font;
				}
			}
		}
		
		return self::$raw_fonts;
	}
	
	public static function fontsList()
	{
		if (empty(self::$fonts_combo))
		{
			foreach (self::$fonts as $family => $g)
			{
				$fonts = array();
				foreach ($g as $code => $font) {
					$fonts[str_replace('"','',$font)] = $code;
				}
				self::$fonts_combo[$family] = $fonts;
			}
		}
		
		return self::$fonts_combo;
	}
	
	public static function fontCode($f)
	{
		if (empty(self::$fonts_code))
		{
			foreach (self::$fonts as $family => $g)
			{
				foreach ($g as $code => $font) {
					self::$fonts_code[$font] = $code;
				}
			}
		}
		
		return isset(self::$fonts_code[$f]) ? self::$fonts_code[$f] : null;
	}
	
	public static function fontDef($c)
	{
		if (empty(self::$fonts_list))
		{
			foreach (self::$fonts as $family => $g)
			{
				foreach ($g as $code => $font) {
					self::$fonts_list[$code] = $font;
				}
			}
		}
		
		return isset(self::$fonts_list[$c]) ? self::$fonts_list[$c] : null;
	}
	
	public static function adjustFontSize($s)
	{
		if (preg_match('/^([0-9.]+)\s*(%|pt|px|em|ex)?$/',$s,$m)) {
			if (empty($m[2])) {
				$m[2] = 'px';
			}
			return $m[1].$m[2];
		}
		
		return null;
	}
	
}
?>
